Page MenuHomePhabricator

segfault when entry cursor is movement on macOS
Closed, ResolvedPublic

Description

run elementary_test, Entry Regex, input some text in 'Test regex in single line entry' and hold 'left button'

Bug report:

Process: elementary_test [95387]
Path: /usr/local/bin/elementary_test
Identifier: elementary_test
Version: 0
Code Type: X86-64 (Native)
Parent Process: bash [95809]
Responsible: Terminal [229]
User ID: 501

Date/Time: 2016-06-17 14:44:10.161 +0300
OS Version: Mac OS X 10.9.5 (13F1808)
Report Version: 11
Anonymous UUID: E4F93FF4-4CC1-A8C9-CEC0-E95BAC7A4B09

Sleep/Wake UUID: C7345E7B-8141-4057-B9AA-2E7730C19B5C

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: EXC_I386_GPFLT

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 libelementary.1.dylib 0x00000001091d2da4 _elm_box_list_data_get + 4 (eina_inline_list.x:47)
1 libelementary.1.dylib 0x00000001092ee4c6 _elm_widget_focus_list_direction_get + 86 (elm_widget.c:2418)
2 libelementary.1.dylib 0x00000001092fb85d elm_obj_widget_focus_list_direction_get + 189 (elm_widget.eo.c:412)
3 libelementary.1.dylib 0x00000001092ef347 _elm_widget_focus_list_next_get + 279 (elm_widget.c:2632)
4 libelementary.1.dylib 0x00000001092fc34a elm_obj_widget_focus_list_next_get + 170 (elm_widget.eo.c:477)
5 libelementary.1.dylib 0x00000001091d1fe0 _elm_box_elm_widget_focus_next + 112 (elm_box.c:80)
6 libelementary.1.dylib 0x00000001092fc279 elm_obj_widget_focus_next + 153 (elm_widget.eo.c:473)
7 libelementary.1.dylib 0x00000001092eea12 _elm_widget_focus_next_get + 226 (elm_widget.c:2473)
8 libelementary.1.dylib 0x00000001092fbd49 elm_obj_widget_focus_next_get + 153 (elm_widget.eo.c:440)
9 libelementary.1.dylib 0x00000001092b6b4e _elm_scroller_elm_widget_focus_next + 254 (elm_scroller.c:436)
10 libelementary.1.dylib 0x00000001092fc279 elm_obj_widget_focus_next + 153 (elm_widget.eo.c:473)
11 libelementary.1.dylib 0x00000001092eea12 _elm_widget_focus_next_get + 226 (elm_widget.c:2473)
12 libelementary.1.dylib 0x00000001092fbd49 elm_obj_widget_focus_next_get + 153 (elm_widget.eo.c:440)
13 libelementary.1.dylib 0x00000001092b6150 _key_action_move + 1008 (elm_scroller.c:177)
14 libelementary.1.dylib 0x00000001091f29cd _elm_config_key_binding_call + 285 (elm_config.c:2601)
15 libelementary.1.dylib 0x00000001092b6ed2 _elm_scroller_elm_widget_event + 50 (elm_scroller.c:250)
16 libelementary.1.dylib 0x00000001092fb049 elm_obj_widget_event + 153 (elm_widget.eo.c:363)
17 libelementary.1.dylib 0x00000001092ee254 _elm_widget_event_propagate + 132 (elm_widget.c:1764)
18 libelementary.1.dylib 0x00000001092fb559 elm_obj_widget_event_propagate + 153 (elm_widget.eo.c:396)
19 libelementary.1.dylib 0x00000001092f0d7f _propagate_event + 495 (elm_widget.eo.c:1335)
20 libeo.1.dylib 0x0000000109084d89 _eo_base_event_callback_call + 345 (eo_base_class.c:1106)
21 libeo.1.dylib 0x0000000109087821 eo_event_callback_call + 145 (eo_base.eo.c:134)
22 libevas.1.dylib 0x0000000108d61474 evas_object_event_callback_call + 500 (evas_callbacks.c:294)
23 libevas.1.dylib 0x0000000108d61727 evas_object_event_callback_call + 1191 (evas_callbacks.c:326)
24 libevas.1.dylib 0x0000000108d61727 evas_object_event_callback_call + 1191 (evas_callbacks.c:326)
25 libevas.1.dylib 0x0000000108d61727 evas_object_event_callback_call + 1191 (evas_callbacks.c:326)
26 libevas.1.dylib 0x0000000108d6a558 _canvas_event_feed_key_down_internal + 968 (evas_events.c:2725)
27 libevas.1.dylib 0x0000000108d6bd39 _evas_canvas_event_key_cb + 105 (evas_events.c:3341)
28 libeo.1.dylib 0x0000000109084d89 _eo_base_event_callback_call + 345 (eo_base_class.c:1106)
29 libeo.1.dylib 0x0000000109087821 eo_event_callback_call + 145 (eo_base.eo.c:134)
30 libecore_evas.1.dylib 0x0000000108cebd65 _direct_key_updown_cb + 325 (ecore_evas.c:4549)
31 libecore_evas.1.dylib 0x0000000108cea03d _ecore_evas_input_direct_cb + 989 (ecore_evas.c:4580)
32 libecore_input_evas.1.dylib 0x000000010969b165 _ecore_event_evas_key + 181 (ecore_input_evas.c:417)
33 libecore_input_evas.1.dylib 0x000000010969b09e ecore_event_evas_key_down + 14 (ecore_input_evas.c:694)
34 libecore.1.dylib 0x0000000108d19419 _ecore_event_call + 809 (ecore_events.c:519)
35 libecore.1.dylib 0x0000000108d1db2f _ecore_main_loop_iterate_internal + 415 (ecore_main.c:2343)
36 libecore.1.dylib 0x0000000108d1dd57 ecore_main_loop_begin + 167 (ecore_main.c:1284)
37 elementary_test 0x00000001088e4aaa elm_main + 250 (test.c:1053)
38 elementary_test 0x00000001088e9b00 main + 48 (test.c:1064)
39 libdyld.dylib 0x00007fff917d95fd start + 1

se.osadchy added a project: Restricted Project.Jun 17 2016, 5:05 AM
se.osadchy closed this task as Resolved.Jun 22 2016, 1:21 AM
se.osadchy claimed this task.

Fixed